#ifndef RHB_CUSTOM_H
#define RHB_CUSTOM_H

#include "FEventProcessorThread.h"


#define RATIO_DELAY 20


class RHB_Custom : public FEventProcessorThread {

  protected:
    Bool_t    initialized;
    Double_t  ratio_clock;
    Double_t  last_clock;
    FParam   *ucn1_t;
    TH1      *h_ucn1;
    TH1      *h_gam1;
    TH1      *h_ucn2;
    TH1      *h_gam2;
    TH1      *h_ratio;
    TH1      *h_num;
    TH1      *h_div;

  public:
                  RHB_Custom     (void);
    virtual void  SetParamValues (void);
    virtual Int_t Start          (void);

    ClassDef (RHB_Custom, 1)

};

#endif

